Repository 32bit  Forum
Repository 64bit  Wiki

PAM e kerberos

Postate qui per tutte le discussioni legate a Linux in generale.

Moderatore: Staff

Regole del forum
1) Citare sempre la versione di Slackware usata, la versione del Kernel e magari anche la versione della libreria coinvolta. Questi dati aiutano le persone che possono rispondere.
2) Per evitare confusione prego inserire in questo forum solo topic che riguardano appunto Gnu/Linux in genere, se l'argomento è specifico alla Slackware usate uno dei forum Slackware o Slackware64.
3) Leggere attentamente le risposte ricevute
4) Scrivere i messaggi con il colore di default, evitare altri colori.
5) Scrivere in Italiano o in Inglese, se possibile grammaticalmente corretto, evitate stili di scrittura poco chiari, quindi nessuna abbreviazione tipo telegramma o scrittura stile SMS o CHAT.
6) Appena registrati è consigliato presentarsi nel forum dedicato.

La non osservanza delle regole porta a provvedimenti di vari tipo da parte dello staff, in particolare la non osservanza della regola 5 porta alla cancellazione del post e alla segnalazione dell'utente. In caso di recidività l'utente rischia il ban temporaneo.

PAM e kerberos

Messaggioda killemall » gio apr 08, 2004 14:23

Salve a tutti , sto preparando un server di posta e per la parte imap ho scelto cyrus-imap , ho un problemino pero´ , volevo che l´autenticazione avvenisse tramite pam e kerberos . <BR>Ora ho notato che i pacchetti precompilati per redhat , non mancano , ma i .tgz per la mia buona slack 9.1 sono totalmente assenti , per caso qualcuno sa dove si possono scaricare ? swaret mi dice attaccati!!!!! E sul sito ufficiale di slack , i pacchetti sono completamente assenti , possibile che una delle migliori distribuzioni che ci sono al mondo , abbia pecche di questo genere . <BR> <BR>Per essere piu´ chiaro: <BR>pam_krb5-1.56-1 <BR>spamassassin-2.31-16 <BR>pam-0.75-40 <BR>pam_smb-1.1.6-5 <BR>pam-devel-0.75-40 <BR> <BR>e <BR> <BR>pam_krb5-1.56-1 <BR>krbafs-devel-1.1.1-6 <BR>krb5-devel-1.2.5-6 <BR> <BR>Ma sicuramente ci sono versioni piu´ aggiornate , per quanto riguarda kerberos ne sono sicuro !!! , e vi prego , non mi dite rpm2tgz !!! <BR> <BR>Grazie dell´attenzione <BR>Andrea <BR> <BR> <BR><br>
killemall
Linux 1.0
Linux 1.0
 
Messaggi: 19
Iscritto il: gio feb 19, 2004 0:00

PAM e kerberos

Messaggioda useless » ven apr 09, 2004 1:20

per una strana storia slackware non usa PAM, e fare sì che lo faccia suppongo che sia un discreto casino. <BR> <BR>se scopri qualcosa saresti così gentile da postarlo? interesserebbe anche a me!<br>
Avatar utente
useless
Staff
Staff
 
Messaggi: 3896
Iscritto il: sab ott 11, 2003 23:00
Località: A place where the streets have no name

PAM e kerberos

Messaggioda killemall » ven apr 09, 2004 8:39

Certo , no problem , ma anche Kerberos rompe discretamente il ca**o , per capirci , lo compilo ma non riesco ad usare checkinstall per installarlo , e non mi piace dovermi sbattere in caso dovessi disistallarlo , cercandomi tutti i file che mi piazza nel sistema , sono passato a slackware dopo una lunga militanza debian e redhat , appunto perche´ il nuovo sistema di paketizzazione e installazione e´ molto efficiente <BR>e in secondo luogo perche´ la slack e´ di una stabilita´ pazzesca , ma voi questo lo sapete gia´ !!!!!! <BR> <BR>Continuo la mia lotta , il tempo stringe , il cliente preme , il c**o stringe <BR> <BR>killemall <BR>Andrea <BR><BR><BR>[ Questo Messaggio è stato Modificato da: killemall il 09-04-2004 09:39 ]<br>
killemall
Linux 1.0
Linux 1.0
 
Messaggi: 19
Iscritto il: gio feb 19, 2004 0:00

PAM e kerberos

Messaggioda useless » ven apr 09, 2004 20:27

prova a lanciare checkinstall con l´opzione --fstrans=no<br>
Avatar utente
useless
Staff
Staff
 
Messaggi: 3896
Iscritto il: sab ott 11, 2003 23:00
Località: A place where the streets have no name

PAM e kerberos

Messaggioda killemall » mar apr 13, 2004 10:59

Ok dopo una bella ricerca ho trovato questo <BR> <BR>http://linio.terramail.pl/slackpam.html <BR> <BR>spero le lingue dei paesi dell´est non vi spaventino !!! <BR>.pl Polonia ? Bah , irrilevante , e pam su slack e´ andato su senza problemi , strano ma vero ! Si non ci credo neppure io , comunque adesso rimangono tutte le altre magagne di sui sopra , vedi heimdal , che dovrebbe essere una implementazione di kerberos , ma che mi chiede dove sono le librerie di kerberos tra le voci del configure --help , Contando che per installare postfix e configurarlo ci ho impiegato 10 minuti , e si ... non e´ un remailer adesso !!!! Per avere un server imap funzionante , sono caduto nel limbo dell´howto , ogni volta che trovo una risposta su google , scopro che ho bisogno di qualcosa di nuovo , scarico , spacchetto e leggo il readme e et , voila!!!!! per far funzionare il nuovo software che deve farmi funzionare quello dopo , scopro che ne devo scaricane altri e poi configurarli chiaramente ... L´inferno !!!!!!! Sono comunque riuscito a restringere il campo a questi 4 soli : <BR> <BR>krbs5 <BR>o <BR>heimdal <BR>cyrus-sals <BR>e chiaramente <BR> <BR>cyrus-imap <BR> <BR>ok , uno legge e dice :<< dovrebbe aver finito ora , ha tutto !!!>> <BR> <BR>ILLUSO !!!!!!!!!! <BR> <BR>killemall <BR>Andrea <BR><br>
killemall
Linux 1.0
Linux 1.0
 
Messaggi: 19
Iscritto il: gio feb 19, 2004 0:00

PAM e kerberos

Messaggioda pinguinosn » mer apr 14, 2004 0:55

con questi dovresti essere al traguardo: <BR> <BR>1) heimdal-0.6.1 <a href="ftp://ftp.pdc.kth.se/pub/heimdal/src/" target="_blank" target="_new">ftp://ftp.pdc.kth.se/pub/heimdal/src/</a> <BR>2) cyrus-sasl-2.1.18 <a href="http://asg.web.cmu.edu/cyrus/download/" target="_blank" target="_new">http://asg.web.cmu.edu/cyrus/download/</a> <BR>3) cyrus-imapd-2.2.3<br>
Avatar utente
pinguinosn
Linux 2.0
Linux 2.0
 
Messaggi: 110
Iscritto il: dom feb 08, 2004 0:00
Località: livorno
Slackware: 13.37
Kernel: 3.3
Desktop: gnome3
Distribuzione: archlinux

PAM e kerberos

Messaggioda killemall » mer apr 14, 2004 13:38

Effettivamente fino a cyrus-sals sembra andare tutto bene , ma all´installazione di cyrus-imap , lo stesso che tu mi hai segnalato , e quello che comunque io stavo gia´ usando : SORPRESA !!!!!!! <BR> <BR>configure: WARNING: Parts of com_err distribuion were found, but not compile_et. <BR>configure: WARNING: Will build com_err from included sources. <BR>checking for modern syslog... no <BR>checking which syslog facility to use... LOG_LOCAL6 <BR>checking for getdtablesize... no <BR>checking to use old sieve service name... no <BR>checking for dlopen... no <BR>checking for dlopen in -ldl... no <BR>checking for crypt... no <BR>checking for crypt in -lcrypt... no <BR>checking gssapi.h usability... no <BR>checking gssapi.h presence... no <BR>checking for gssapi.h... no <BR>checking gssapi/gssapi.h usability... no <BR>checking gssapi/gssapi.h presence... no <BR>checking for gssapi/gssapi.h... no <BR>configure: WARNING: Disabling GSSAPI - no include files found <BR>checking GSSAPI... disabled <BR>checking sasl/sasl.h usability... no <BR>checking sasl/sasl.h presence... no <BR>checking for sasl/sasl.h... no <BR>configure: error: Cannot continue without libsasl2. <BR>Get it from <a href="ftp://ftp.andrew.cmu.edu/pub/cyrus-mail/" target="_blank" target="_new">ftp://ftp.andrew.cmu.edu/pub/cyrus-mail/</a>. <BR> <BR>peccato che io sals l´ho gia´ installato , in piu´ ho gia´ lyncato /usr/local/lib/sasl2 a /usr/lib/sasl2 e non contento ho fatto pure un bel <BR> <BR>echo "/usr/local/lib/sasl2" >> /etc/ld.so.conf <BR>ldconfig <BR> <BR>MA non c´e un ca**o da fare , non va su e tra un po , nella mia infinita pazienza frantumero´ lo schermo con la tastiera , e magari faccio una strage di massa entrando con un uzi 9 mm e qualche granata in un locale affollato :) <BR> <BR>scherzo chiaramente <BR> <BR>Sigaretta e poi cerco di capire dov´e il problema , che io non vedo poRCO .... <BR> <BR> <BR><br>
killemall
Linux 1.0
Linux 1.0
 
Messaggi: 19
Iscritto il: gio feb 19, 2004 0:00

PAM e kerberos

Messaggioda killemall » gio apr 15, 2004 10:32

ok gente , visto che vi ho frastornato le palle con i miei problemi di installazione , direi che posso prosegiure , superato l´errore esposto ieri , sono finalmente riuscito ad installare con successo le sasl e pure il supporto gssapi , si sono Dio ...ahahhahahhahah........ <BR>MA . se un uomo , Bianco , di razza caucasica , riesce finalmente a fare il configure di cyrus-imap , senza errori , a fare un make depend , senza errori , ma , al make all .. si tova questo errore : <BR> <BR>make[1]: Entering directory `/tmp/cyrus-imapd-2.2.3/sieve´ <BR>gcc -o sievec sievec.o libsieve.a ../lib/libcyrus.a ../lib/libcyrus_min.a libsieve.a -lsasl2 -lresolv -lssl -lcrypto -lfl -lresolv -ldb-4.1 -lcom_err <BR>../lib/libcyrus.a(cyrusdb_berkeley.o)(.text+0x30d): In function `mysync´: <BR>: undefined reference to `txn_checkpoint´ <BR>../lib/libcyrus.a(cyrusdb_berkeley.o)(.text+0x3ed): In function `myarchive´: <BR>: undefined reference to `log_archive´ <BR>../lib/libcyrus.a(cyrusdb_berkeley.o)(.text+0x470): In function `myarchive´: <BR>: undefined reference to `log_archive´ <BR>../lib/libcyrus.a(cyrusdb_berkeley.o)(.text+0x508): In function `myarchive´: <BR>: undefined reference to `log_archive´ <BR>../lib/libcyrus.a(cyrusdb_berkeley.o)(.text+0x861): In function `gettid´: <BR>: undefined reference to `txn_id´ <BR>../lib/libcyrus.a(cyrusdb_berkeley.o)(.text+0x875): In function `gettid´: <BR>: undefined reference to `txn_id´ <BR>../lib/libcyrus.a(cyrusdb_berkeley.o)(.text+0x907): In function `gettid´: <BR>: undefined reference to `txn_id´ <BR>../lib/libcyrus.a(cyrusdb_berkeley.o)(.text+0x10c7): In function `mystore´: <BR>: undefined reference to `txn_id´ <BR>../lib/libcyrus.a(cyrusdb_berkeley.o)(.text+0x1146): In function `mystore´: <BR>: undefined reference to `txn_id´ <BR>../lib/libcyrus.a(cyrusdb_berkeley.o)(.text+0x117e): more undefined references to `txn_id´ follow <BR>collect2: ld returned 1 exit status <BR>make[1]: *** [sievec] Error 1 <BR>make[1]: Leaving directory `/tmp/cyrus-imapd-2.2.3/sieve´ <BR>make: *** [all] Error 1 <BR> <BR> <BR>E al FINE !!!!! <BR> <BR>a voi dice niente? <BR> <BR>a me non molto !!! <BR> <BR>kill ´em all <BR>killemall <BR>Andrea<br>
killemall
Linux 1.0
Linux 1.0
 
Messaggi: 19
Iscritto il: gio feb 19, 2004 0:00

PAM e kerberos

Messaggioda killemall » gio apr 15, 2004 13:43

ok continua il monologo , per tutti i xxxxxxxxx che devono installare quel gran pezzo di M..... di cyrus-imap , chiaramente dopo aver installato heimdal e cyrus-sasl , pure loro sullo xxxxxxxxxx andante , utilizzando il db di Berkeley , il 4.2 in questo caso . <BR> <BR>ho scelto di loggare l´utenza tramite kerberos , ma si puo´ usare anche il comune shadow basta sia anche compilato il supporto per l´md5 se no pioppa !!! <BR> <BR>cd /tmp/cyrus-imap.2.2.3 <BR>env CPPFLAGS=-I/usr/local/include LDFLAGS=-s ./configure --disable-sieve -enable-krb5afspts -with-bdb-libdir=/usr/local/BerkeleyDB.4.2/lib/ --with-bdb-incdir=/usr/local/BerkeleyDB.4.2/include/ <BR> <BR>make depend <BR> <BR>make all CFLAGS=-O2 LDFLAGS=-s <BR> <BR>su -c checkinstall <BR> <BR> <BR>E vai con dios !!!!!!!!!!!!!!!!!!! <BR> <BR>killemall <BR>Andrea <BR> <BR>E si !!!! , ho studiato in svizzera !!!<BR><BR>[ Questo Messaggio è stato Modificato da: Lorys il 15-04-2004 18:14 ]<br>
killemall
Linux 1.0
Linux 1.0
 
Messaggi: 19
Iscritto il: gio feb 19, 2004 0:00

PAM e kerberos

Messaggioda pinguinosn » gio apr 15, 2004 15:09

perchè usi la versione 4.1 delle Berkeley database library ? <BR> <BR>scusa la domanda ma si è sovrapposta durante l´ultimo tuo post. <BR> <BR>comunque hai risolto bene <BR> <BR>ciao <BR><BR><BR>[ Questo Messaggio è stato Modificato da: pinguinosn il 15-04-2004 16:13 ]<br>
Avatar utente
pinguinosn
Linux 2.0
Linux 2.0
 
Messaggi: 110
Iscritto il: dom feb 08, 2004 0:00
Località: livorno
Slackware: 13.37
Kernel: 3.3
Desktop: gnome3
Distribuzione: archlinux

PAM e kerberos

Messaggioda killemall » gio apr 15, 2004 16:19

beh ! scaricata con swaret e comunque ancora compatibile con la 4.2 quindi non mi da problemi di sorta , adesso il tocco finale , configuarazione in coming soon <BR> <BR>penso ci faro´ un how to , dopo l´inferno che ho passato , sempre se tutto va come dovrebbe andare e non avro´ problemi di autenticazione con le macchine windows che sono nella lan del server di posta , outlook magari non digerisce bene la nuova versione di kerberos e magari saro´ costretto a rifare tutto dall´inizio , ma visto che , ormai lavorando una settimana per 16 ore al giorno su questo ca**o di imap , qualcosa ho imparato <BR> <BR>see you space cowboy !!! <BR> <BR>killemall <BR>Andrea <BR> <br>
killemall
Linux 1.0
Linux 1.0
 
Messaggi: 19
Iscritto il: gio feb 19, 2004 0:00

PAM e kerberos

Messaggioda killemall » ven apr 16, 2004 8:00

ho usato la versione 4.1 perche´ era la prima disponibile che ho tovato e nonostante il DB sia alla 4.2 non penso sia uscita la stessa versione delle librerie ancora , se anche , mi sono sbagliato , non mi sembra ci siano problemi , quindi le 4.1 sono ancora compatibili, non e´ office :) <BR> <BR>ps . <BR> <BR>Lorys , cosa fai ? Censuri le mie colorite e volgari espressioni? <BR>Non ho esposto ancora il mio pensiero politico , li´ ti potresti sbizzarrire :) <BR> <BR>killemall <BR>Andrea <br>
killemall
Linux 1.0
Linux 1.0
 
Messaggi: 19
Iscritto il: gio feb 19, 2004 0:00


Torna a Gnu/Linux in genere

Chi c’è in linea

Visitano il forum: Nessuno e 4 ospiti

cron